diff --git a/doc/src/sgml/pgbuffercache.sgml b/doc/src/sgml/pgbuffercache.sgml
index fd2446d654..f59a81e2e6 100644
--- a/doc/src/sgml/pgbuffercache.sgml
+++ b/doc/src/sgml/pgbuffercache.sgml
@@ -135,12 +135,10 @@
   </para>
 
   <para>
-   When the <structname>pg_buffercache</structname> view is accessed, internal buffer
-   manager locks are taken for long enough to copy all the buffer state
-   data that the view will display.
-   This ensures that the view produces a consistent set of results, while not
-   blocking normal buffer activity longer than necessary.  Nonetheless there
-   could be some impact on database performance if this view is read often.
+   Since buffer manager locks are not taken during copying all the buffer state
+   data that the view will display, accessing
+   <structname>pg_buffercache</structname> view has less impact on concurrent
+   queris but doesn't provide a consistent set of results across all buffers.
   </para>
  </sect2>
 
